	ORG $1001-2
	DW  $1001
	
	DW $100B,0
	DB $9E,"4109",0,0,0
	
	JMP start
	
	include "a.out_hex.asm"
	
chr_ptr	= $C8			; fixed: used by ROM routine for position
col_ptr	= $EA
	
start
	LDX #24			; start from line 25
	;
away_i0
	JSR sync_DC	
	;
	JSR $D8AA		; X = lines, get screen position in $C8/C9
	;
	LDY #39			; fill one whole line
	;
away_i1	LDA #$A0		; inverse space
	STA (chr_ptr),y		; to charmap
	LDA $FF19		; border color - could save one more byte, but it's more flexible this way...
	STA (col_ptr),y		; to color map
	DEY
	BPL away_i1
	;
	DEX			; count lines upwards, stop after line zero is done
	BPL away_i0
	;
	ROR $FF06		; screen off
	;          
away_s3	JSR sync_2x		; sync it to line $FF
	INY			; Y=$FF again
	;
	LDA $FF19
	SEC
	SBC #$10		; one darker shade
	BMI *+4
	LDA #$00		; after darkest shade, set to black
	STA $FF19
	BMI away_s3		; and stop
	;
	;ROL $FF06		; screen back on
	;     
	LDX #$02
r1	LDA rest,x
	STA $100D,x
	DEX
	BPL r1
	JMP $100D
	
sync_2x	JSR sync
	DEY
	DB $2C
sync_DC	LDY #$DC
sync	CPY $FF1D
	BNE sync
	RTS
	
rest	DB $78,$BA,$BD
;[eof]